Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class Acknowledgement

    java.lang.Object
      org.hornetq.rest.queue.Acknowledgement

    public class Acknowledgement

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`Acknowledgement(java.lang.String ackToken, org.hornetq.api.core.client.ClientMessage message)`

Method Summary
`void` | `acknowledge()`
`java.lang.String` | `getAckToken()`
`org.hornetq.api.core.client.ClientMessage` | `getMessage()`
`boolean` | `isAcknowledged()`
`void` | `unacknowledge()`
`boolean` | `wasSet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Acknowledgement

    public Acknowledgement(java.lang.String ackToken,
                           org.hornetq.api.core.client.ClientMessage message)

Method Detail

### getAckToken

    public java.lang.String getAckToken()

### getMessage

    public org.hornetq.api.core.client.ClientMessage getMessage()

### wasSet

    public boolean wasSet()

### acknowledge

    public void acknowledge()

### unacknowledge

    public void unacknowledge()

### isAcknowledged

    public boolean isAcknowledged()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.